CopyC2DImageToP2DImage Class Reference

functor to copy an image into paointer representation More...

`#include <mia/2d/image.hh>`

## Public Member Functions

template<typename T>
P2DImage | operator() (const T2DImage< T > &image) const

## Detailed Description

functor to copy an image into paointer representation

This functor copies a 2D image into a P2DImage representation that is used in filters and cost functions.

Definition at line 431 of file 2d/image.hh.

## Member Function Documentation

## operator()()

template<typename T>

P2DImage CopyC2DImageToP2DImage::operator() | ( | const T2DImage< T > & | image | ) | const

inline

Definition at line 435 of file 2d/image.hh.

The documentation for this class was generated from the following file:

- 2d/image.hh